<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_BookingListAdvancedOptions StructType
 * @subpackage Structs
 */
class JP_BookingListAdvancedOptions extends JP_BaseAdvancedOptions
{
    /**
     * The AllStatus
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var bool
     */
    public $AllStatus;
    /**
     * Constructor method for JP_BookingListAdvancedOptions
     * @uses JP_BookingListAdvancedOptions::setAllStatus()
     * @param bool $allStatus
     */
    public function __construct($allStatus = null)
    {
        $this
            ->setAllStatus($allStatus);
    }
    /**
     * Get AllStatus value
     * @return bool|null
     */
    public function getAllStatus()
    {
        return $this->AllStatus;
    }
    /**
     * Set AllStatus value
     * @param bool $allStatus
     * @return \StructType\JP_BookingListAdvancedOptions
     */
    public function setAllStatus($allStatus = null)
    {
        // validation for constraint: boolean
        if (!is_null($allStatus) && !is_bool($allStatus)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($allStatus, true), gettype($allStatus)), __LINE__);
        }
        $this->AllStatus = $allStatus;
        return $this;
    }
}
